cdac.medinfo.sdk.hl7282.hl7net.commons

## Interface ISequenceAgent

- All Known Implementing Classes:
    InitiatingSequenceAgent, ReceivingSequenceAgent

      public interface ISequenceAgent

  The ISequenceAgent interface should be implemented by any class whose instances are intended to process HL7 Messages with Sequence Number Protocol.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processReceive(ISegmentSet objSegmentSet)` Invoked when system receive message.
    `void` | `processSend(ISegmentSet objSegmentSet)` Invoked when system wants to send message.
    `void` | `setEndSequencing(boolean flag)` End the Sequence numbering
    `void` | `setInitialQueueValue(int value)` Sets the initial value in Queue.
    `void` | `setQueueLength(int length)` Sets Queue length.
    `void` | `setStartSequencing(boolean flag)` Start the Sequence numbering

- - ### Method Detail

    - #### setQueueLength

          void setQueueLength(int length)

      Sets Queue length.
      Parameters:
        `length` - length of Queue.

    - #### setInitialQueueValue

          void setInitialQueueValue(int value)

      Sets the initial value in Queue.
      Parameters:
        `value` - initial value of Queue.

    - #### setStartSequencing

          void setStartSequencing(boolean flag)

      Start the Sequence numbering
      Parameters:
        `flag` - - boolean true or false.

    - #### setEndSequencing

          void setEndSequencing(boolean flag)

      End the Sequence numbering
      Parameters:
        `flag` - - boolean true or false.

    - #### processSend

          void processSend(ISegmentSet objSegmentSet)
                           throws InvalidMessageException

      Invoked when system wants to send message.
      Parameters:
        `objSegmentSet` - - Segment set filled with Sequence Number.
      Throws:
        `InvalidMessageException` - - Thrown When Message Populated is Invalid.

    - #### processReceive

          void processReceive(ISegmentSet objSegmentSet)
                              throws InvalidMessageException

      Invoked when system receive message.
      Parameters:
        `objSegmentSet` - - Segment set filled with Sequence Number.
      Throws:
        `InvalidMessageException` - - Thrown When Message Populated is Invalid.